using NBF;
using NBF.Utils;

namespace Fantasy
{
    public partial class ShopItemInfo
    {
        private cfg.Item _config;

        public cfg.Item Config
        {
            get { return _config ??= Game.Tables.TbItem.Get((int)ConfigId); }
        }

        public ItemType ItemType => ConfigId.GetItemType();
    }
}